# Fn<> IsSequence
Determines whether a type is a sequence.

Defined in | <seqan/sequence.h>
Signature | `IsSequence<T>::Type; IsSequence<T>::VALUE;`

## Template Parameters

`T` | The type to query.

## Return Values

`Type` | `True` if `T` is a sequence and `False` otherwise.
`VALUE` | `true` if `T` is a sequence and `false` otherwise.

## Detailed Description

For example, String and Segment as `T` return true.

#### Dox Sources

    /*!
     * @mfn IsSequence
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief Determines whether a type is a sequence.
     *
     * @signature IsSequence<T>::Type;
     * @signature IsSequence<T>::VALUE;
     *
     * @tparam T The type to query.
     *
     * @return Type <tt>True</tt> if <tt>T</tt> is a sequence and <tt>False</tt>
     *              otherwise.
     * @return VALUE <tt>true</tt> if <tt>T</tt> is a sequence and <tt>false</tt>
     *               otherwise.
     *
     * For example, String and Segment as <tt>T</tt> return true.
     */